libquicktime0-32bit-1.2.4cvs20150223-4.1.x86_64.rpm


Advertisement

Description

libquicktime0-32bit - Library for Reading and Writing Quicktime Movie Files

Distribution: openSUSE 42.1
Repository: openSUSE Update Oss all
Package name: libquicktime0-32bit
Package version: 1.2.4cvs20150223
Package release: 4.1
Package architecture: x86_64
Package type: rpm
Installed size: 750.62 KB
Download size: 218.18 KB
Official Mirror: ftp.gwdg.de
A library for reading and writing Quicktime movie files, based on and forked from quicktime4linux.

Provides

  • libquicktime.so.0
  • libquicktime0-32bit = 1.2.4cvs20150223-4.1
  • libquicktime0-32bit(x86-32) = 1.2.4cvs20150223-4.1
  • lqt_audiocodec.so
  • lqt_dv.so
  • lqt_mjpeg.so
  • lqt_png.so
  • lqt_rtjpeg.so
  • lqt_schroedinger.so
  • lqt_videocodec.so
  • lqt_vorbis.so

    Install Howto

    Install libquicktime0-32bit rpm package:

    # zypper install libquicktime0-32bit

    Files

    • /usr/lib/libquicktime.so.0
    • /usr/lib/libquicktime.so.0.0.0
    • /usr/lib/libquicktime/lqt_audiocodec.so
    • /usr/lib/libquicktime/lqt_dv.so
    • /usr/lib/libquicktime/lqt_mjpeg.so
    • /usr/lib/libquicktime/lqt_png.so
    • /usr/lib/libquicktime/lqt_rtjpeg.so
    • /usr/lib/libquicktime/lqt_schroedinger.so
    • /usr/lib/libquicktime/lqt_videocodec.so
    • /usr/lib/libquicktime/lqt_vorbis.so

    Changelog

    2017-02-14 - kstreitova@suse.com - add libquicktime-1.2.4-integer_overflow.patch to fix integer overflow in the quicktime_read_pascal function in libquicktime 1.2.4 and earlier that allows remote attackers to cause a denial of service or possibly have other unspecified impact via a crafted hdlr MP4 atom [bsc#1022805] CVE-2016-2399

    2015-02-23 - avvissu@yandex.ru - Update to cvs20150223: - Remove all patches (fixed in upstream): * libquicktime-1.2.2-dont_disable_deprecated.patch * libquicktime-libpng16.patch

    2014-10-03 - crrodriguez@opensuse.org - Add baselibs.conf as Source.

    2014-10-01 - crrodriguez@opensuse.org - Cleanup buildRequires, do not use xorg-x11-devel.

    2014-05-28 - crrodriguez@opensuse.org - disable timestamps in doxygen, make build-compare happy

    2013-03-18 - pgajdos@suse.com - builds also with libpng16 * libpng16.patch

    2012-03-30 - pascal.bleser@opensuse.org - update to 1.2.4: * upgrades for newer ffmpeg versions * 10 bit DNxHD support * limited support for edit lists in the public API * several fixes

    2012-03-02 - reddwarf@opensuse.org - Compile against newest ffmpeg

    2012-02-28 - puzel@suse.com - BuildRequire xorg-x11-devel to build lqtplay

    2011-07-22 - pascal.bleser@opensuse.org - update to 1.2.3: * fixes compilation with newer versions of gtk, ffmpeg, and x264 * some contributed patches were applied as well

    Advertisement
    Advertisement